Name:           python-shot-scraper
Version:        1.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A command-line utility for taking automated screenshots of websites

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/simonw/shot-scraper/issues
Source:         %{pypi_source shot_scraper}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'shot-scraper' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-shot-scraper
Summary:        %{summary}

%description -n python3-shot-scraper %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-shot-scraper test


%prep
%autosetup -p1 -n shot_scraper-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-shot-scraper -f %{pyproject_files}


%changelog
%autochangelog